import unittest

from selenium import webdriver

class NewVisitorTest(unittest.TestCase):

	def setUp(self):
		self.browser = webdriver.Firefox()
	
	def tearDown(self):
		self.browser.quit()

	def test_can_check_homepage_and_every_single_other_page(self):

		self.browser.get('http://localhost:8000')
		self.assertIn('Froyo Home Page', self.browser.title)

		self.browser.get('http://localhost:8000/ingredients')
		self.assertIn('Ingredients - Home', self.browser.title)

		self.browser.get('http://localhost:8000/orders')
		self.assertIn('Orders - Home', self.browser.title)

		self.browser.get('http://localhost:8000/recipes')
		self.assertIn('Recipes - Home', self.browser.title)

		#Ingredients Subpages
		self.browser.get('http://localhost:8000/ingredients/list')
		self.assertIn('Ingredients - List', self.browser.title)

		self.browser.get('http://localhost:8000/ingredients/detail')
		self.assertIn('Ingredients - Detail', self.browser.title)

		self.browser.get('http://localhost:8000/ingredients/update')
		self.assertIn('Ingredients - Update', self.browser.title)

		self.browser.get('http://localhost:8000/ingredients/create')
		self.assertIn('Ingredients - Create', self.browser.title)

		#Orders Subpages
		self.browser.get('http://localhost:8000/orders/list')
		self.assertIn('Orders - List', self.browser.title)

		self.browser.get('http://localhost:8000/orders/detail')
		self.assertIn('Orders - Detail', self.browser.title)

		self.browser.get('http://localhost:8000/orders/update')
		self.assertIn('Orders - Update', self.browser.title)

		self.browser.get('http://localhost:8000/orders/create')
		self.assertIn('Orders - Create', self.browser.title)

		#Recipes Subpages
		self.browser.get('http://localhost:8000/recipes/list')
		self.assertIn('Recipes - List', self.browser.title)

		self.browser.get('http://localhost:8000/recipes/detail')
		self.assertIn('Recipes - Detail', self.browser.title)

		self.browser.get('http://localhost:8000/recipes/update')
		self.assertIn('Recipes - Update', self.browser.title)

		self.browser.get('http://localhost:8000/recipes/create')
		self.assertIn('Recipes - Create', self.browser.title)

		self.fail('Finish the Test')


if __name__ == '__main__':
	unittest.main(warnings='ignore')